<?php

require('mbfpdf.php');

// EUC-JP->SJIS 変換を自動的に行なわせる場合に mbfpdf.php 内の $EUC2SJIS を
// true に修正するか、このように実行時に true に設定しても変換してくます。
//$GLOBALS['EUC2SJIS'] = true;

/////////////////////////////
// このファイルは S-JIS で記述 //
/////////////////////////////

$width = 150;
$topMargin = 30;
$leftMargin = 30;
$lineHeight = 3;
$textHeight = 15;

$pdf=new MBFPDF('P', 'mm', 'A4');
$pdf->AddMBFont(KOZMIN ,'SJIS');
$pdf->AddMBFont(GOTHIC ,'SJIS');
$pdf->AddMBFont(BIG5, 'SJIS');
$pdf->Open();
$pdf->AddPage();

// upper bar
$pdf-> SetFillColor(255, 100, 0);
$y = $topMargin;
$pdf->Rect($leftMargin, $topMargin, $width, $lineHeight, 'F');

// title
$pdf->SetTextColor(50, 125, 50);
$y += $lineHeight;
$pdf->SetXY($leftMargin, $y);
$pdf->SetFont('Times', 'I', 30, 'C');
$pdf->Cell($width, $textHeight,'Hello World !!', 0, 0, 'C', 100);

// name
$y += $textHeight;
$pdf->SetXY($leftMargin, $y);
$pdf->SetTextColor(50, 100, 255);
$pdf->SetFont(KOZMIN,'B',30);
$pdf->Cell($width, $textHeight,'大橋 克洋: Katsuhiro OHASHI', 1, 0, 'C');

$y += $textHeight;
$pdf->SetXY($leftMargin, $y);
$pdf->SetFont(BIG5,'',20);
$pdf->Write($textHeight, '東京都品川区荏原４−４−２');

// under bar
$pdf->SetFillColor(255, 100, 0);
$y += $textHeight;
$pdf->Rect($leftMargin, $y, $width, $lineHeight, 'F');

$pdf->Output();

?>

